#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################


#use FindBin;
#use lib $FindBin::Bin;

use CGI::Carp qw(fatalsToBrowser); 
use CGI;
use DBI;
use pseek;
use fmspm;


&get_setup;
fmspm::check_spamb("modify5.cgi", "header", "$data_dir");
$q = CGI->new;

#################

print "Content-type: text/html\n\n";
if ($q->param('fct') eq "") { &start; } 



sub start
{

$email = $q->param('email');

if ($email eq "") {&psproblem;}

#$gsettings = new_gsettings tseek;

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$wsql = "SELECT * FROM links WHERE email = '$email'";
$sth = $dbh->prepare($wsql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From: $wsql";}

$rows = $sth->rows();

if ($rows < 1)
	{
	&psproblem;
	}


while ( @row = $sth->fetchrow() )
	{
	if ($row[22] ne "")
		{
	
		$email_text = $email_text . "=========================\n\n";
		$email_text = $email_text . "Title: $row[2]\n\n";
		$email_text = $email_text . "Description: $row[3]\n\n";
		$email_text = $email_text . "Email: $row[9]\n";
		$email_text = $email_text . "Password: $row[22]\n\n";
		$email_text = $email_text . "Click the URL below to modify this listing. \n";
	
		$row[9] =~ s/ /+/g;
		$email_text = $email_text . "$script_url/modify2.cgi?cid=$row[1]&id=$row[0]&password=$row[22] \n\n\n";
		}
	}

$sth->finish;
$dbh->disconnect;

### EMAIL PASSWORD DETAILS

$emailmsg = pseek::get_file_contents("$data_dir/retrieve_pass.eml");

@elines = split (/\n/, $emailmsg);
$from_name = $elines[0];
$from_email = $elines[1];
$email_subject = $elines[2];
$lnc = 0;
foreach $line (@elines)
	{
	if ($lnc > 2)
		{
		$email_message = $email_message . $line . "\n";
		}
	$lnc++;
	}

$email_message =~ s/%%link_details%%/$email_text/g;

#$sendername1, $fromemail1, $toemail1, $mail_subject1, $email_message1
pseek::send_email ($from_name, $from_email, $email, $email_subject, $email_message); 


##########

$modify_template = pseek::get_file_contents("$data_dir/retrievepass_ok.html");
$modify_template =~ s/!!scripts_url!!/$script_url/g;
$modify_template =~ s/!build_url!/$web_url/g;
$modify_template =~ s/!!build_url!!/$web_url/g;

$modify_template = pseek::ts_insert_template_includes($modify_template);
$modify_template = pseek::fill_vars($modify_template); 

print $modify_template;
}




sub psproblem
{
$modify_template = pseek::get_file_contents("$data_dir/retrievepass_prb.html");
$modify_template =~ s/!!scripts_url!!/$script_url/g;
$modify_template =~ s/!build_url!/$web_url/g;
$modify_template =~ s/!!build_url!!/$web_url/g;
$modify_template = pseek::ts_insert_template_includes($modify_template);
$modify_template = pseek::fill_vars($modify_template); 

print $modify_template;
exit;
}





sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

